Summary:  3D desktop effects tools
Name:     drak3d
Version:  2.3
Release:  %mkrel 3
Source0:  %name-%version.tar.xz
Source1:  drak3d.desktop
Source2:  drak3d.png
License:  GPLv2+
Group:    System/Configuration
URL:      http://www.mageia.org
#------------------------------------
BuildRequires: perl-MDK-Common 
BuildRequires: gettext 
BuildRequires: intltool
#-----------------------------------
Requires: drakxtools-backend
Requires: usermode-consoleonly
Requires: glxinfo
#------------------------------
BuildArch: noarch

%description
Drak3d enables to configure 3D desktop effects.

%package -n lib%name
Summary: 3D desktop effects tools library
Group: System/Configuration
Requires: drakxtools-backend
Obsoletes: drak3d-common
Provides: drak3d-common = %version-%release

%description -n lib%name
This package contains the %_vendor drak3d library.

%prep
%setup -q
%build
%make

%install
rm -rf %buildroot
%makeinstall_std

install -Dm644 %SOURCE1 %buildroot/%{_datadir}/applications/drak3d.desktop
install -Dm644 %SOURCE2 %buildroot/%{_datadir}/pixmaps/drak3d.png

#install lang
%find_lang %name

%files -n lib%name
/usr/lib/libDrakX/Xconfig/glx.pm

%files -f %{name}.lang
%doc COPYING
%{_bindir}/drak3d
%{_datadir}/polkit-1/actions/org.pclinuxos.drak3d.policy
/usr/lib/libDrakX/icons/*
/usr/libexec/drak3d
%{_datadir}/applications/drak3d.desktop
%{_datadir}/pixmaps/drak3d.png

%changelog
* Mon Jan 03 2021 tex - 2.3-4pclos2021
- add menu and icon

* Mon Apr 24 2020 yodelu - 2.3-3pclos2020
- reload into pclos because compiz
- remove DE dependencies 

* Thu Jul 13 2017 bb2 <bb2> - 2.3-2pclos2017
- rebuild against updates

* Sun Feb 14 2016 bb <bb. 2.3-1pclos2016
- import from france for pclos with mods
